org.apache.http.nio.reactor

## Interface ListenerEndpoint

All Known Implementing Classes:
  ListenerEndpointImpl

    public interface ListenerEndpoint

ListenerEndpoint interface represents an endpoint used by an I/O reactor to listen for incoming connection from remote clients.

Since:
  4.0

### Method Summary

Methods
`void` `close()` Closes this endpoint.
`SocketAddress` `getAddress()` Returns the socket address of this endpoint.
`IOException` `getException()` Returns an instance of `IOException` thrown during initialization of this endpoint or `null`, if initialization was successful.
`boolean` `isClosed()` Determines if this endpoint has been closed and is no longer listens for incoming connections.
`void` `waitFor()` Waits for completion of initialization process of this endpoint.

### Method Detail

#### getAddress

    SocketAddress getAddress()

Returns the socket address of this endpoint.

Returns:
  socket address.

#### getException

    IOException getException()

Returns an instance of `IOException` thrown during initialization of this endpoint or `null`, if initialization was successful.

Returns:
  I/O exception object or `null`.

#### waitFor

    void waitFor()
                 throws InterruptedException

Waits for completion of initialization process of this endpoint.

Throws:
  `InterruptedException` - in case the initialization process was interrupted.

#### isClosed

    boolean isClosed()

Determines if this endpoint has been closed and is no longer listens for incoming connections.

Returns:
  `true` if the endpoint has been closed, `false` otherwise.

#### close

    void close()

Closes this endpoint. The endpoint will stop accepting incoming connection.